requirepass "ChangeMe"
pidfile .../.cpanel/redisX/redis.pid
logfile .../.cpanel/redisX/redis.log
port 6379
unixsocket .../.cpanel/redisX/redis.sock
unixsocketperm 644
bind 127.0.0.1 -::1
protected-mode yes
tcp-backlog 511
timeout 30
tcp-keepalive 300
daemonize no
loglevel warning
databases 32
always-show-logo no
set-proc-title yes
proc-title-template "{title} {listen-addr} {server-mode} {port} {unixsocket} {config-file}"
stop-writes-on-bgsave-error no
rdbcompression no
rdbchecksum no
dbfilename ""
rdb-del-sync-files no
dir ./
replica-serve-stale-data yes
replica-read-only yes
repl-diskless-sync no
repl-diskless-sync-delay 5
repl-diskless-load disabled
repl-disable-tcp-nodelay no
replica-priority 100
acllog-max-len 128
lazyfree-lazy-eviction no
lazyfree-lazy-expire no
lazyfree-lazy-server-del no
replica-lazy-flush no
lazyfree-lazy-user-del no
lazyfree-lazy-user-flush no
oom-score-adj no
oom-score-adj-values 0 200 800
disable-thp yes
appendonly no
appendfilename no
appendfsync no
no-appendfsync-on-rewrite no
auto-aof-rewrite-percentage 100
auto-aof-rewrite-min-size 64mb
aof-load-truncated no
aof-use-rdb-preamble no
lua-time-limit 5
slowlog-log-slower-than 10000
slowlog-max-len 128
latency-monitor-threshold 0
notify-keyspace-events ""
hash-max-ziplist-entries 512
hash-max-ziplist-value 64
list-max-ziplist-size -2
list-compress-depth 0
set-max-intset-entries 512
zset-max-ziplist-entries 128
zset-max-ziplist-value 64
hll-sparse-max-bytes 3000
stream-node-max-bytes 4096
stream-node-max-entries 100
activerehashing yes
client-output-buffer-limit normal 0 0 0
client-output-buffer-limit replica 256mb 64mb 60
client-output-buffer-limit pubsub 32mb 8mb 60
hz 10
dynamic-hz yes
aof-rewrite-incremental-fsync yes
rdb-save-incremental-fsync yes
jemalloc-bg-thread yes
save ""
maxmemory 128m
maxmemory-policy allkeys-lfu
oom-score-adj relative
oom-score-adj-values 400 700 900